#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>

main()
{
  char str[10], *res; int x;
  FILE *fd=fopen("./pipe","r");
  pid_t pid;
  int i;
  pid=fork();

  if(pid==0){
        for(i=0; i<x; i++){
            pid=fork();
            if(pid==0){
                while(1) {
                res=fgets(str,10,fd);
                if(res!=NULL) {
                    x=atoi(str); printf("x: %d.\n", x);
                    system("ps -e -o pid,ppid,comm | grep uppg1");
                }
                sleep(1);

                }
            }
        }
        exit(0);
    }
    wait(0);
}
